using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Xml.Serialization;

namespace NewRock.Sdk.Control.Response
{
    [XmlRoot("Status")]
    public class QueryVisitorResponse:NewRockResponse
    {
        [XmlElement("visitor")]
        public QueryVisitorVisitorResponse Visitor { get; set; }
    }

    public class QueryVisitorVisitorResponse
    {
        [XmlAttribute("id")]
        public string Id { get; set; }

        [XmlAttribute("from")]
        public string From { get; set; }

        [XmlAttribute("to")]
        public string To { get; set; }

        [XmlAttribute("callid")]
        public string CallId { get; set; }

        [XmlElement("ext")]
        public QueryVisitorExt Ext { get; set; }

        [XmlElement("state")]
        public string State { get; set; }
    }

    public class QueryVisitorExt
    {
        [XmlAttribute("id")]
        public string Id { get; set; }
    }

}
